# Record Class IdA1CommandAdminSearchByEmailBegin

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1CommandAdminSearchByEmailBegin

Record Components:
  `fieldParameters` - The search parameters.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType, com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdAType, ProtocolIdAv1Type`

public record IdA1CommandAdminSearchByEmailBegin(IdA1AdminSearchByEmailParameters fieldParameters) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdAv1Type
Start searching for admins (by email).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandAdminSearchByEmailBegin(IdA1AdminSearchByEmailParameters fieldParameters)`
  Creates an instance of a `IdA1CommandAdminSearchByEmailBegin` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1CommandAdminSearchByEmailBegin`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1CommandAdminSearchByEmailBegin.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `IdA1AdminSearchByEmailParameters`
  `fieldParameters()`
  Returns the value of the `fieldParameters` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminSearchByEmailBegin $x)`
  Serialize a value of type IdA1CommandAdminSearchByEmailBegin.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandAdminSearchByEmailBegin

    public IdA1CommandAdminSearchByEmailBegin(IdA1AdminSearchByEmailParameters fieldParameters)
    Creates an instance of a `IdA1CommandAdminSearchByEmailBegin` record class.
    Parameters:
      `fieldParameters` - the value for the `fieldParameters` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminSearchByEmailBegin $x) throws IOException
    Serialize a value of type IdA1CommandAdminSearchByEmailBegin.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1CommandAdminSearchByEmailBegin deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1CommandAdminSearchByEmailBegin.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1CommandAdminSearchByEmailBegin.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldParameters

    public IdA1AdminSearchByEmailParameters fieldParameters()
    Returns the value of the `fieldParameters` record component.
    Returns:
      the value of the `fieldParameters` record component